include:
  - project: "ferreri/minato/minato-ci"
    ref: "main"
    file: "/mixins/docker.gitlab-ci.yml"
  - project: "ferreri/minato/minato-ci"
    ref: "main"
    file: "/mixins/runtime_env.gitlab-ci.yml"

.job_migrate:
  stage: migrate
  extends: .job_docker_base
  variables:
    DOCKER_NETWORK: migrate-net
    DB_HOST: db-proxy
    DB_PORT: 5432
    SECRET_KEY_BASE: sEcr3T_Key_bASe
  before_script:
    - !reference [.cmd_auth_docker_gitlab_registry]
  script:
    - docker network create $DOCKER_NETWORK
    - >-
      docker run
      --detach
      --network=$DOCKER_NETWORK
      --name=$DB_HOST
      -p $DB_PORT:$DB_PORT
      -v $(pwd)/$GOOGLE_APPLICATION_CREDENTIALS:/config/$GOOGLE_APPLICATION_CREDENTIALS
      gcr.io/cloudsql-docker/gce-proxy:latest
      /cloud_sql_proxy
      -instances=$DB_CONNECTION=tcp:0.0.0.0:$DB_PORT
      -credential_file=/config/$GOOGLE_APPLICATION_CREDENTIALS
    - >-
      docker run
      --network=$DOCKER_NETWORK
      --env DB_USER=$DB_USER
      --env DB_PASS=$DB_PASS
      --env DB_HOST=$DB_HOST
      --env DB_NAME=$DB_NAME
      --env SECRET_KEY_BASE=$SECRET_KEY_BASE
      $CI_REGISTRY_IMAGE $COMMAND_MIGRATE

migrate:qas:
  extends:
    - .env_qas
    - .job_migrate

migrate:hml:
  extends:
    - .env_hml
    - .job_migrate

migrate:prd:
  extends:
    - .env_prd
    - .job_migrate
